积跬步、至千里

测绘·建库·制图·数据分析

CAD三点画矩形

现在开始新设一个CAD栏目,用来记载我使用CAD的一些(很肤浅的)心得。

CASS里有个很好用的功能就是三点画矩形,但是单纯CAD里面就没那么容易,虽然CAD无所不能,但是作为半桶水的我没那个能力研究透彻。所以用到了这样一个手工制作的插件:

 

;;;三点画矩形(连续绘制模式)

(defun C:sdhjx (/ PT1 PT2 ANG)

(while (and (setq PT1 (getpoint “\nSpecify first point:”))

(setq PT2 (getpoint PT1 “\nSpecify secondly point:”)

)

)

(progn

(setq ANG (+ (angle PT1 PT2) (* 0.5 pi))

PT3 (polar PT1 ANG 10)

)

(command “_.ucs” “n” “3” PT1 PT2 PT3)

(command “_.rectang” “non” ‘(0 0 0) PAUSE)

(command “_.ucs” “P”)

)

)

)

 

保存成.lsp文件后,在CAD里加载它(以CAD2012为例):

《CAD三点画矩形》

 

我们看上面的代码可以得知呼出的快捷键就是”sdhjx”,三点画矩形的拼音缩写,此一处可根据自我习惯更改,只要你自己能记住即可。

之后用快捷键调用吧,找三个点画个矩形如何,开始爽吧。

微信扫码关注公众号,回复“阅读码”获取加密阅读信息。加密内容是本站原创文章,不同于网络上其它教程,请珍惜劳动成果。
点赞

发表评论